BookSmart

blurb software for mac

My Mac’s software is 10.3.9

is there any software of blurb compatible with my computer??

I have tried Booksmart_1.9.7 and 1.9.8

help!! anyone? 

Replytopic_b_normal
Posted by
YRiera
Sep 11, 2008 2:32pm PDT
Permalink
YRiera
 

There is a FAQ on this, go to Search FAQs and do a search for system requirements.

..........Tony

Posted by
tfrankland
Sep 11, 2008 2:43pm PDT
Permalink
tfrankland
 

I also have 10.3.9 and cannot download software. I am searching for an older version of BookSmart so I can upload without having to put a bunch of money out to upgrade my system.

 

I am with YRiera….Is there an older version of BookSmart that is compatible with 10.3.9? Thank you.

 

Kathy 

Posted by
freakydeaky
Sep 13, 2008 2:01pm PDT
Permalink
freakydeaky
 

No.

SYSTEM REQUIREMENTS FOR MACINTOSH

Blurb BookSmart™ Version: 1.9.8 released September 11, 2008
Operating System: Mac OS X 10.4.5 or later
Memory: 512 MB minimum, 1 GB or more recommended (especially for PPC Macs)
Processor: 1.5 GHz G4 minimum, 1.83 GHz Intel Core Duo or faster recommended
Download Size: 35MB
Disk space to install application: 67MB
Open disk space required to run BookSmart: 1GB
Disk Space per Average Book: 100MB
Screen Resolution: 1024×768 minimum, 1600×1200 preferred

Posted by
Michal
Sep 13, 2008 6:27pm PDT
Permalink
Michal
 

Two things that keep Blurb from shining like none other on demand publisher.

1. Forever “beta” BookSmart upgrades that leave Mac customers with less than top of the hill hardware/software in the woods.

2. Having to register to buy books. http://forums.blurb.com/forums/7/topics/3353

Posted by
Michal
Sep 13, 2008 6:32pm PDT
Permalink
Michal
 

Not sure how much more of this I can take. Have to go out side and walk around. Remind myself that life if continuing without me… Try to think happy thoughts.

Posted by
vncstone
Sep 15, 2008 2:07pm PDT
Permalink
vncstone